tt_message_arg_ival_set(library call)

NAME
tt_message_arg_ival_set — add an integer value in a message argument

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_arg_ival_set(
Tt_message m,
int n,
int value);

DESCRIPTION

The tt_message_arg_ival_set function adds an integer value in the nth message argument.

This function also changes the value of an existing nth message argument to an integer.

The m argument is the opaque handle for the message involved in this operation. The n argument is the number of the argument to be set. The first argument is numbered zero. The value argument is the contents for the message argument.

RETURN VALUE

Upon successful completion, the tt_message_arg_ival_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_message_iarg_add(3), tt_message_arg_val_set(3), tt_message_arg_bval_set(3).